cancel
Showing results for 
Search instead for 
Did you mean: 

SAP EHS 4.7 to ECC 6.0

Former Member
0 Kudos

Hello people...

I'm on version 4.7 of SAP EHS and we are initiating a study to see how long it will require to upgrade the version of EHS to ECC 6.0, someone has gone through something like this? How long did it?

Accepted Solutions (1)

Accepted Solutions (1)

Ralph_P
Advisor
Advisor
0 Kudos

Hi Eduardo,

I just was part of a technical upgrade from 4.7 to 6.0. This was not only EH&S but all of SAP (as far as I know) and most parts were heavily adjusted to customer-specific needs with a lot of RICEFs involved. Only the upgrade itself including all the testing of course was almost exactly one year. I have no idea how long the planning phase was, I guess at least another 6 months. However, this was a monster project, only upgrading EH&S will take a lot less time.

Ralph

christoph_bergemann
Active Contributor
0 Kudos

Dear Eduardo

as Ralph explained: you should differentiate SAP core effort from EH&S effort in upgrade.

SAP Enteprise 4.7 does have two "types".Extension 1.1 and Extension 2.0. If you are using SAP Enterprise 4.7 Ext. 1.1 effort are roughly  5 % higher in comparison to Ext 2.0

To estimate the "exact" effort (not to talk about timing) you need to answer these questions

1. will you use ECC 6.0 EnhPack 5 or 6 ?  If answer is yes you have a "heavy" SAP core update as you need as well SAP Newweaver 7.3 (SAP Core)

2.) you need to ask your self: will you use in the  future e.g. SAP product and compliance Suite? and will you use the Java Stack therein? If answer is yes: you have a large and heavy project

3.) Even if your answers would be may be no. in: enhancement package 3, 5, 6 you will find EH&S extensions: will you use them? If answer is yes you need more time, money etc.

If you plan only a "normal" upgrade at least you should plan your project for 6 months (may be 9 months depends on your organization etc.).

If you use SAP EH&S standard without to many extensions may be 6 months are enough; the workload in the project for business, management etc. etc. is very high and you need to train your core SAP EHS people and business people etc.

Furthermore the effort depends on your SAP landscape (do you distribute data via ALE? etc.)

In most case you need to adjust WWI (if you are using expert rules you should as well use the recent version) and you will have the need for SAP GUI test (you should always use the recent SAP GUI !).

So if you combine the whole staff a 9 month period for such an upgrade project can be needed (as you need a very robust upgrade technique (e.g. for performing regression tests etc.)

In any case: SAP markeptlace provides you with a bunch of useful documents which you should have reviewed before you start the project (not talking only about SAP EH&S)

Personally I feel that the suggestions of Ralph are quite good. The whole project can need up to one year (with roughly 3 months prework etc. and the real doing something like 9 months)

With best regards

C.B

PS: Standard SAP support of SAP Enterprise 4.7 ends 2010 (if I remember correct); so you should really go on 

PPS: may be refer to e.g.

http://scn.sap.com/thread/719783

http://scn.sap.com/thread/1559752

http://scn.sap.com/thread/995377

http://scn.sap.com/thread/397482

http://scn.sap.com/thread/1440675

http://scn.sap.com/thread/3248609

http://scn.sap.com/thread/986936

http://scn.sap.com/thread/1546443

http://scn.sap.com/thread/3252165

and many others..

Former Member
0 Kudos

Explaining better: we already have a platform of SAP ECC6.0 EHP5 and we EHS 4.7 in Enterprise 2.0. Therefore we will only upgrade the SAP EHS.

christoph_bergemann
Active Contributor
0 Kudos

Dear Eduardo

I did not understand your feedback. I try the other way around:

1.) If you use SAP Enterprise 4.7 Ext 1.1 then you can use EH&S 3.1 (old numbering scheme)

2.) If you use SAP Enterprise 4.7 Ext 2.0 then you can use EH&S 3.2 (old numbering scheme)

3.) If you use SAP ECC 6.0 EHP5 you can use EH&S; but there is no version number any more;

There is no version EHS 4.7 according to SAP terminology.

If you start from scratch then you need first activate EH&S and if you use SAP ECC 6.0 EHP5 you can activate on the top some EH&S business functions; recent version of SAP is: SAP ECC 6.0 EHP6

C.B.

PS: At least starting form ECC 5.0 there is no version numbering by SAP regarding EH&S. The only new numbering schemata is comping up with EHSM now in version 3.0. But EHS and EHSM are not the same

C.B.

Answers (0)